## ros-foxy-rosidl-generator-py 0.9.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rosidl_generator_py)

find_package(ament_cmake REQUIRED)

ament_export_dependencies(ament_cmake)
ament_export_dependencies(rmw)
ament_export_dependencies(rosidl_cmake)

ament_index_register_resource("rosidl_generator_packages")

ament_python_install_package(${PROJECT_NAME})

if(BUILD_TESTING)
  find_package(ament_cmake_pytest REQUIRED)

  find_package(rmw REQUIRED)
  find_package(rosidl_cmake REQUIRED)

  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(test_interface_files REQUIRED)

  include(cmake/register_py.cmake)
  include(cmake/rosidl_generator_py_get_typesupports.cmake)

  # Trick ament_target_dependencies() into thinking this package has been found
  set(rosidl_generator_py_FOUND "1")
  set(rosidl_generator_py_DIR "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

  # Need to call extras before get_typesupports, to register the extension
  rosidl_generator_py_extras(
    "${CMAKE_CURRENT_SOURCE_DIR}/bin/rosidl_generator_py"
    "${CMAKE_CURRENT_SOURCE_DIR}/rosidl_generator_py/__init__.py;${CMAKE_CURRENT_SOURCE_DIR}/rosidl_generator_py/generate_py_impl.py"
    "${CMAKE_CURRENT_SOURCE_DIR}/resource"
  )

  # If no message files were generated, skip the test.
  rosidl_generator_py_get_typesupports(_typesupport_impls)
  if(_typesupport_impls STREQUAL "")
    message(WARNING "No valid typesupport found for Python generator, skipping tests.")
  else()
    # Use a custom suffix for the target name here to detect regressions of this:
    #   https://github.com/ros2/rosidl_python/issues/11
    # The alternative style (just using ${PROJECT_NAME}) is used by most interface packages.
    rosidl_generate_interfaces(${PROJECT_NAME}_custom
      ${test_interface_files_MSG_FILES}
      # Cases not covered by test_interface_files
      msg/BuiltinTypeSequencesIdl.idl
      msg/StringArrays.msg
      ADD_LINTER_TESTS
      SKIP_INSTALL
    )

    set(_append_library_dirs "")
    if(WIN32)
      set(_append_library_dirs "${CMAKE_CURRENT_BINARY_DIR}/$<CONFIG>")
    endif()

    set(_PYTHON_EXECUTABLE "${PYTHON_EXECUTABLE}")
    if(WIN32 AND "${CMAKE_BUILD_TYPE}" STREQUAL "Debug")
      set(_PYTHON_EXECUTABLE "${PYTHON_EXECUTABLE_DEBUG}")
    endif()
    set(pythonpath "${CMAKE_CURRENT_BINARY_DIR}/rosidl_generator_py;${CMAKE_CURRENT_SOURCE_DIR}")
    if(NOT WIN32)
      string(REPLACE ";" ":" pythonpath "${pythonpath}")
    endif()
    ament_add_pytest_test(test_interfaces_py "test/test_interfaces.py"
      PYTHON_EXECUTABLE "${_PYTHON_EXECUTABLE}"
      APPEND_ENV "PYTHONPATH=${pythonpath}"
      APPEND_LIBRARY_DIRS "${_append_library_dirs}"
      WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/rosidl_generator_py"
    )
  endif()
endif()

ament_package(
  CONFIG_EXTRAS "cmake/rosidl_generator_py_get_typesupports.cmake"
    "cmake/register_py.cmake"
    "rosidl_generator_py-extras.cmake.in"
)

install(
  PROGRAMS bin/rosidl_generator_py
  DESTINATION lib/rosidl_generator_py
)
install(
  DIRECTORY cmake resource
  DESTINATION share/${PROJECT_NAME}
)

=== debian/changelog ===
ros-foxy-rosidl-generator-py (0.9.7-1focal) focal; urgency=high

  * Change decode error mode to replace (#176 <https://github.com/ros2/rosidl_python/issues/176>) (#181 <https://github.com/ros2/rosidl_python/issues/181>)
  * Contributors: mergify[bot], Tomoya Fujita

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 16 Mar 2023 00:00:00 -0000

ros-foxy-rosidl-generator-py (0.9.6-1focal) focal; urgency=high

  * Removes erroneous unmatched closing parenthesis (#125 <https://github.com/ros2/rosidl_python/issues/125>) (#158 <https://github.com/ros2/rosidl_python/issues/158>)
  * Contributors: Charles Cross, Chris Lalancette

 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 25 Jul 2022 00:00:00 -0000

ros-foxy-rosidl-generator-py (0.9.5-1focal) focal; urgency=high

  * Added optimization for copying arrays of simple types from python to C using buffer protocol (#129 <https://github.com/ros2/rosidl_python/issues/129>) (#146 <https://github.com/ros2/rosidl_python/issues/146>)
  * Contributors: ksuszka

 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 31 Jan 2022 00:00:00 -0000

ros-foxy-rosidl-generator-py (0.9.4-1focal) focal; urgency=high

  * Update maintainers (#119 <https://github.com/ros2/rosidl_python/issues/119>)
  * Fix too early decref of WString when converting from Python to C (#117 <https://github.com/ros2/rosidl_python/issues/117>)
  * Add pytest.ini so tests succeed locally. (#116 <https://github.com/ros2/rosidl_python/issues/116>)
  * Contributors: Chris Lalancette, Claire Wang, Dirk Thomas

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 08 Dec 2020 00:00:00 -0000

ros-foxy-rosidl-generator-py (0.9.3-1focal) focal; urgency=high

  * Add test_depend on rpyutils (#115 <https://github.com/ros2/rosidl_python/issues/115>)
  * Contributors: Jacob Perron

 -- Scott K Logan <scott@openrobotics.org>  Tue, 19 May 2020 00:00:00 -0000

ros-foxy-rosidl-generator-py (0.9.2-1focal) focal; urgency=high

  * Explicitly add DLL directories for Windows before importing (#113 <https://github.com/ros2/rosidl_python/issues/113>)
  * Force extension points to be registered in order (#112 <https://github.com/ros2/rosidl_python/issues/112>)
  * Contributors: Ivan Santiago Paunovic, Jacob Perron

 -- Scott K Logan <scott@openrobotics.org>  Mon, 18 May 2020 00:00:00 -0000

ros-foxy-rosidl-generator-py (0.9.1-1focal) focal; urgency=high

  * Add test dependency on rosidl_typesupport_c_packages (#110 <https://github.com/ros2/rosidl_python/issues/110>)
  * Contributors: Jacob Perron

 -- Scott K Logan <scott@openrobotics.org>  Wed, 29 Apr 2020 00:00:00 -0000

ros-foxy-rosidl-generator-py (0.9.0-1focal) focal; urgency=high

  * Ensure the Python support target links against the C generator target (#108 <https://github.com/ros2/rosidl_python/issues/108>)
  * Skip inoperable typesupport implementations (#107 <https://github.com/ros2/rosidl_python/issues/107>)
  * Update includes to use non-entry point headers from detail subdirectory (#105 <https://github.com/ros2/rosidl_python/issues/105>)
  * Rename rosidl_generator_c namespace to rosidl_runtime_c (#103 <https://github.com/ros2/rosidl_python/issues/103>)
  * Remove dependency on rmw_implementation (#102 <https://github.com/ros2/rosidl_python/issues/102>)
  * Added rosidl_runtime c and cpp depencencies (#100 <https://github.com/ros2/rosidl_python/issues/100>)
  * Move 'noqa: A003' for fields named like a builtin from property to method line (#101 <https://github.com/ros2/rosidl_python/issues/101>)
  * Add warnings for reserved Python keywords in interface members, services and actions (#96 <https://github.com/ros2/rosidl_python/issues/96>)
  * Code style only: wrap after open parenthesis if not in one line (#97 <https://github.com/ros2/rosidl_python/issues/97>)
  * Use f-string (#98 <https://github.com/ros2/rosidl_python/issues/98>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, Samuel Lindgren

 -- Scott K Logan <scott@openrobotics.org>  Sat, 25 Apr 2020 00:00:00 -0000

ros-foxy-rosidl-generator-py (0.8.1-1focal) focal; urgency=high

  * Enable tests for 'char' type fields (#91 <https://github.com/ros2/rosidl_python/issues/91>)
  * Refactor tests (#89 <https://github.com/ros2/rosidl_python/issues/89>)
  * Contributors: Jacob Perron

 -- Scott K Logan <scott@openrobotics.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-foxy-rosidl-generator-py (0.8.0-1focal) focal; urgency=high

  * Find numpy headers in non-debian paths (#75 <https://github.com/ros2/rosidl_python/issues/75>) (#75 <https://github.com/ros2/rosidl_python/issues/75>)
  * Remove non-package from ament_target_dependencies() (#76 <https://github.com/ros2/rosidl_python/issues/76>)
  * Avoid multiple includes for nested array functions (#72 <https://github.com/ros2/rosidl_python/issues/72>)
  * Remove the padding member from structs which should be empty (#73 <https://github.com/ros2/rosidl_python/issues/73>)
  * Ensure the contents of the field are an array. (#63 <https://github.com/ros2/rosidl_python/issues/63>)
  * Make the message __repr__ for Python look nicer (#60 <https://github.com/ros2/rosidl_python/issues/60>)
    Before this patch, publishing a message with "ros2 topic pub" would print something like:
    ``publishing #5: my_msgs.msg.my_msg(axes=array('f', [0.0]))``
    While that is OK, it is kind of ugly.
    This patch hides the typecode and the "array" so that the output looks like:
    ``publishing #5: my_msgs.msg.my_msg(axes=[0.0])``
  * Contributors: Chris Lalancette, Dirk Thomas, Jacob Perron, Rich Mattes, Shane Loretz

 -- Scott K Logan <scott@openrobotics.org>  Wed, 25 Sep 2019 00:00:00 -0000

ros-foxy-rosidl-generator-py (0.7.6-1focal) focal; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Thu, 30 May 2019 00:00:00 -0000

ros-foxy-rosidl-generator-py (0.7.5-1focal) focal; urgency=high

  * Fix PYTHONPATH for test (#58 <https://github.com/ros2/rosidl_python/issues/58>)
  * Contributors: Dirk Thomas



=== debian/control ===
Source: ros-foxy-rosidl-generator-py
Section: misc
Priority: optional
Maintainer: Shane Loretz <sloretz@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), python3-numpy <!nocheck>, python3-pytest <!nocheck>, ros-foxy-ament-cmake, ros-foxy-ament-cmake-pytest <!nocheck>, ros-foxy-ament-index-python <!nocheck>, ros-foxy-ament-lint-auto <!nocheck>, ros-foxy-ament-lint-common <!nocheck>, ros-foxy-python-cmake-module <!nocheck>, ros-foxy-rmw <!nocheck>, ros-foxy-rosidl-cmake <!nocheck>, ros-foxy-rosidl-generator-c <!nocheck>, ros-foxy-rosidl-generator-cpp <!nocheck>, ros-foxy-rosidl-parser <!nocheck>, ros-foxy-rosidl-runtime-c, ros-foxy-rosidl-typesupport-c <!nocheck>, ros-foxy-rosidl-typesupport-connext-c <!nocheck>, ros-foxy-rosidl-typesupport-fastrtps-c <!nocheck>, ros-foxy-rosidl-typesupport-introspection-c <!nocheck>, ros-foxy-rpyutils <!nocheck>, ros-foxy-test-interface-files <!nocheck>, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-rosidl-generator-py
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-numpy, ros-foxy-ament-cmake, ros-foxy-ament-index-python, ros-foxy-python-cmake-module, ros-foxy-rmw, ros-foxy-rosidl-cmake, ros-foxy-rosidl-generator-c, ros-foxy-rosidl-parser, ros-foxy-rosidl-runtime-c, ros-foxy-rosidl-typesupport-c, ros-foxy-rosidl-typesupport-interface, ros-foxy-rpyutils, ros-foxy-ros-workspace
Description: Generate the ROS interfaces in Python.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-rosidl-generator-py//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
